#!/bin/sh
# Remove possible old link, to use adaptation for glibc 2.19.
if [ -f usr/bin/seamonkey ];then
    rm -f usr/bin/seamonkey
fi
# Correct name of plugin-container executable.
if [ -f usr/lib/seamonkey/plugin-container.bin ] \
  && [ -h usr/lib/seamonkey/plugin-container ];then
    mv -f usr/lib/seamonkey/plugin-container.bin usr/lib/seamonkey/plugin-container_exec
fi

# Remove possible residue from adaptation for glibc 2.19.
if [ -f usr/lib/seamonkey/plugin-container_exec ];then
    if [ -h usr/lib/seamonkey/plugin-container ];then
        mv -f usr/lib/seamonkey/plugin-container_exec usr/lib/seamonkey/plugin-container
    else
        rm -f usr/lib/seamonkey/plugin-container_exec
    fi
fi
